Attribute VB_Name = "ModuleFingerprint"
' Initialisiert die PZE-MasterIV Schnittstellen
Public Declare Function DFCComOpenIV Lib "DFComDll" Alias _
"_DFCComOpenIV@24" (ByVal ComNum As Long, ByVal BusNum As Long, ByVal ComType As Long, ByVal szComString As String, ByVal ComValue As Long, ByVal ComTimeOut As Long) As Long

' Schliesst die Serielle bzw. die TCP/IP-Verbindung
Public Declare Sub DFCComClose Lib "DFComDll" Alias _
"_DFCComClose@4" (ByVal ComNum As Long)

' Struktur fuer Fingertemplates
Public Type fingerTemplate
    pidHi As Long         ' Personal ID als 32bit Wert
    pidLo As Long         ' Leer (immer 0)
    fid As Byte           ' Finger ID
    quality As Byte       ' Qualitaet des Fingertemplates
    count As Byte         ' Anzahl der Minutiae
    data(2, 49) As Byte   ' 50*3Byte Daten der Minutiae
End Type

' Anfuegen eines Fingertemplates an die Datentabelle des Fingerprintmoduls
Public Declare Function DFCFingerprintAppendRecord Lib "DFComDll" Alias _
"_DFCFingerprintAppendRecord@24" (ByVal ComNum As Long, ByVal BusNum As Long, ByVal ftType As Long, ByRef ft As fingerTemplate, ByVal ftSize As Long, ByRef Error As Long) As Long

' Ermitteln des gesamten Fingertemplates ueber die PID und FID
Public Declare Function DFCFingerprintGetRecord Lib "DFComDll" Alias _
"_DFCFingerprintGetRecord@32" (ByVal ComNum As Long, ByVal BusNum As Long, ByVal ftType As Long, ByVal pid As Long, ByVal fid As Long, ByRef ft As fingerTemplate, ByRef ftSize As Long, ByRef Error As Long) As Long

' Loeschen eines oder mehrer Fingertemplates ueber die PID und FID
Public Declare Function DFCFingerprintDeleteRecord Lib "DFComDll" Alias _
"_DFCFingerprintDeleteRecord@20" (ByVal ComNum As Long, ByVal BusNum As Long, ByVal pid As Long, ByVal fid As Long, ByRef Error As Long) As Long


' Sleepfunktion
Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)


